<template>
  <SinglePane>
    <div class="profile-participant">
      <ob-tabs>
        <ob-tabs-pane title="Основные данные" :is-selected="true">
          <organization/>
        </ob-tabs-pane>
        <ob-tabs-pane title="Расчетные счета" :is-hidden="!['client', 'clicar', 'carrier'].includes(isRole)">
          <Invoices />
        </ob-tabs-pane>
        <ob-tabs-pane title="Факсимиле" :is-hidden="!['carrier', 'clicar'].includes(isRole)">
          <component
            :is="facsimileComponent"
          />
        </ob-tabs-pane>
        <ob-tabs-pane title="Документы" :is-hidden="!['client', 'clicar', 'carrier'].includes(isRole)">
          <documents
            :method="getDocumentsMethod()"
            type="organisations"
            :with-editing="true"
          />
        </ob-tabs-pane>
      </ob-tabs>
    </div>
  </SinglePane>
</template>

<script>
  import api from "@/api";
  import Invoices from "@/pages/organizationPage/organization/tabs/invoices";
  import SinglePane from "common-components/src/obComponents/obSinglePanels";
  import ObTabs from "common-components/src/obComponents/obTabs";
  import ObTabsPane from "common-components/src/obComponents/obTabs/ObTabsPane";
  import Organization from "@/pages/organizationPage/organization/tabs/common";
  import Documents from "@/components/SB/documents";
  import {mapGetters} from "vuex";
  import facsimile from "@/pages/CardParticipant/facsimile";
  import facsimileCarrier from "@/pages/CardParticipant/facsimileCarrier";

  export default {
    name: "CardParticipant",
    components: {
      Invoices,
      SinglePane,
      ObTabs,
      ObTabsPane,
      Organization,
      Documents
    },
    computed: {
      ...mapGetters({
        role: 'user/role',
        isClicar: 'user/isClicar'
      }),
      isRole () {
        if (!this.role) {
          return this.$route.name === 'requests__search-orders' ? 'carrier' : 'client'
        }
        return this.role
      },
      facsimileComponent () {
        return this.isClicar ? facsimile : facsimileCarrier
      }
    },
    methods: {
      getDocumentsMethod () {
        return api.organisations.getDocuments
      },
    }
  }
</script>

<style lang="scss" scoped>
  .profile-participant {
    padding-top: 20px;
    .--hidden {
      display: none;
    }
    &::v-deep {
      .ob-tabs__panel {
        padding: 0 20px!important;
      }
    }
  }
</style>
